CppUnit project page | FAQ | CppUnit home page

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TextOutputter Class Reference
[Writing test result]

Prints a TestResultCollector to a text stream. More...

`#include <TextOutputter.h>`

Inheritance diagram for TextOutputter:

[legend]
Collaboration diagram for TextOutputter:

[legend]
List of all members.

## Public Member Functions
| TextOutputter (TestResultCollector *result, OStream &stream)
virtual | ~TextOutputter ()
| Destructor.
void | write ()
virtual void | printFailures ()
virtual void | printHeader ()
virtual void | printFailure (TestFailure *failure, int failureNumber)
virtual void | printFailureListMark (int failureNumber)
virtual void | printFailureTestName (TestFailure *failure)
virtual void | printFailureType (TestFailure *failure)
virtual void | printFailureLocation (SourceLine sourceLine)
virtual void | printFailureDetail (Exception *thrownException)
virtual void | printFailureWarning ()
virtual void | printStatistics ()
## Protected Attributes
TestResultCollector * | m_result
OStream & | m_stream
## Private Member Functions
| TextOutputter (const TextOutputter &copy)
| Prevents the use of the copy constructor.
void | operator= (const TextOutputter &copy)
| Prevents the use of the copy operator.

## Detailed Description

Prints a TestResultCollector to a text stream.

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN TextOutputter::TextOutputter | ( | TestResultCollector * | result,
|  | OStream & | stream |
| ) |  |  |

TextOutputter::~TextOutputter | ( |  | ) | `[virtual]`

Destructor.

TextOutputter::TextOutputter | ( | const TextOutputter & | copy | ) | `[private]`

Prevents the use of the copy constructor.

## Member Function Documentation

void TextOutputter::write | ( |  | ) | `[virtual]`

Implements Outputter.

void TextOutputter::printFailures | ( |  | ) | `[virtual]`

void TextOutputter::printHeader | ( |  | ) | `[virtual]`

void TextOutputter::printFailure | ( | TestFailure * | failure,
|  | int | failureNumber |
| ) |  |  | `[virtual]`

void TextOutputter::printFailureListMark | ( | int | failureNumber | ) | `[virtual]`

void TextOutputter::printFailureTestName | ( | TestFailure * | failure | ) | `[virtual]`

void TextOutputter::printFailureType | ( | TestFailure * | failure | ) | `[virtual]`

void TextOutputter::printFailureLocation | ( | SourceLine | sourceLine | ) | `[virtual]`

void TextOutputter::printFailureDetail | ( | Exception * | thrownException | ) | `[virtual]`

void TextOutputter::printFailureWarning | ( |  | ) | `[virtual]`

void TextOutputter::printStatistics | ( |  | ) | `[virtual]`

void TextOutputter::operator= | ( | const TextOutputter & | copy | ) | `[private]`

Prevents the use of the copy operator.

## Member Data Documentation

TestResultCollector* TextOutputter::m_result`[protected]`

OStream& TextOutputter::m_stream`[protected]`

The documentation for this class was generated from the following files:

- TextOutputter.h
- TextOutputter.cpp

| hosts this site. |  | Send comments to: CppUnit Developers